org.springframework.messaging.simp.config

## Class ChannelRegistration

- java.lang.Object
- - org.springframework.messaging.simp.config.ChannelRegistration

-     public class ChannelRegistration
      extends Object

  A registration class for customizing the configuration for a `MessageChannel`.
  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelRegistration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<ChannelInterceptor>` | `getInterceptors()`
    `protected boolean` | `hasInterceptors()`
    `protected boolean` | `hasTaskExecutor()`
    `ChannelRegistration` | `interceptors(ChannelInterceptor... interceptors)` Configure the given interceptors for this message channel, adding them to the channel's current list of interceptors.
    `ChannelRegistration` | `setInterceptors(ChannelInterceptor... interceptors)` Deprecated. as of 4.3.12, in favor of `interceptors(ChannelInterceptor...)`
    `TaskExecutorRegistration` | `taskExecutor()` Configure the thread pool backing this message channel.
    `TaskExecutorRegistration` | `taskExecutor(ThreadPoolTaskExecutor taskExecutor)` Configure the thread pool backing this message channel using a custom ThreadPoolTaskExecutor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelRegistration

          public ChannelRegistration()

  - ### Method Detail

    - #### taskExecutor

          public TaskExecutorRegistration taskExecutor()

      Configure the thread pool backing this message channel.

    - #### taskExecutor

          public TaskExecutorRegistration taskExecutor(@Nullable
                                                       ThreadPoolTaskExecutor taskExecutor)

      Configure the thread pool backing this message channel using a custom ThreadPoolTaskExecutor.
      Parameters:
        `taskExecutor` - the executor to use (or `null` for a default executor)

    - #### interceptors

          public ChannelRegistration interceptors(ChannelInterceptor... interceptors)

      Configure the given interceptors for this message channel, adding them to the channel's current list of interceptors.
      Since:
        4.3.12

    - #### setInterceptors

          @Deprecated
          public ChannelRegistration setInterceptors(@Nullable
                                                                 ChannelInterceptor... interceptors)

      Deprecated. as of 4.3.12, in favor of `interceptors(ChannelInterceptor...)`
      Configure interceptors for the message channel.

    - #### hasTaskExecutor

          protected boolean hasTaskExecutor()

    - #### hasInterceptors

          protected boolean hasInterceptors()

    - #### getInterceptors

          protected List<ChannelInterceptor> getInterceptors()